Bug 59947 - [llvm][bitcode] Attempting to JIT compile method 'ExceptionTests:test_1_basic_filter_catch ()' while running in aot-only mode.
Summary: [llvm][bitcode] Attempting to JIT compile method 'ExceptionTests:test_1_basic...
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Mono runtime / AOT compiler (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: 15.6
Assignee: Rolf Bjarne Kvinge [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-10-04 10:15 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2017-11-21 08:20 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: No
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Rolf Bjarne Kvinge [MSFT] 2017-10-04 10:15:46 UTC
Repro:

* Run "make run-watchos-dev-mini CONFIG=Release" in xamarin-macios/tests

Result:

>	[FAIL] JitTests.Exceptions : System.Reflection.TargetInvocationException : Exception has been thrown by the target of an invocation.
>  ----> System.ExecutionEngineException : Attempting to JIT compile method 'ExceptionTests:test_1_basic_filter_catch ()' while running in aot-only mode. See https://developer.xamarin.com/guides/ios/advanced_topics/limitations/ for more information.

Full log: https://gist.github.com/rolfbjarne/bb7cff9eaf77e1e1acba2caa8f05e741
Built log: https://gist.github.com/rolfbjarne/3b3e71a3a5c6f274d191c59d45015422

This might be relevant:

> LLVM failed for 'test_1_basic_filter_catch': non-finally/catch/fault clause.
> LLVM failed for 'test_1234_complicated_filter_catch': non-finally/catch/fault clause.
> LLVM failed for 'test_0_filter_caller_area': non-finally/catch/fault clause.

from https://gist.github.com/rolfbjarne/3b3e71a3a5c6f274d191c59d45015422#file-build-log-L3130-L3132

It only happens in release builds, and only on watchOS.

An alternative repro would be to open the solution "tests/mini/mini-watchos.sln" and run the Release|Device configuration of the "mini-watchos-app" project.
Comment 1 Rolf Bjarne Kvinge [MSFT] 2017-10-04 10:29:24 UTC
This fails in 15.5 as well as master.
Comment 2 Zoltan Varga 2017-10-04 10:55:17 UTC
Probably fixed by mono 43957a4dd74d3fabe6c24edc50aa5dd16fa3fbaa.
Comment 3 Rolf Bjarne Kvinge [MSFT] 2017-10-04 10:59:57 UTC
It fails in 15.4 and 15.3 as well, and in 15.2 this particular test didn't exist, so it's not a regression.
Comment 4 Rolf Bjarne Kvinge [MSFT] 2017-10-04 11:14:02 UTC
@Zoltan, OK, I'll add that to the list of categories we exclude when running tests.
Comment 5 Rolf Bjarne Kvinge [MSFT] 2017-10-04 12:27:02 UTC
master: https://github.com/xamarin/xamarin-macios/pull/2839

The fix will only be complete once we bump to mono 2017-08.
Comment 6 Rolf Bjarne Kvinge [MSFT] 2017-10-05 11:48:18 UTC
fixed: https://github.com/xamarin/xamarin-macios/commit/0b199a708076fd9c24b1954234df8edc32cb662d

Keeping open for verification until we bump to mono 2017-08.
Comment 7 Rolf Bjarne Kvinge [MSFT] 2017-11-21 08:20:10 UTC
Confirmed to be fixed in master.